## org.hibernate.cache.infinispan.tm
Class HibernateTransactionManagerLookup

    java.lang.Object
      org.hibernate.cache.infinispan.tm.HibernateTransactionManagerLookup

All Implemented Interfaces:
  org.infinispan.transaction.lookup.TransactionManagerLookup

    public class HibernateTransactionManagerLookup

extends Object
implements org.infinispan.transaction.lookup.TransactionManagerLookup

HibernateTransactionManagerLookup.

Since:
  3.5

Constructor Summary
`HibernateTransactionManagerLookup(Settings settings, Properties properties)`

Method Summary
`TransactionManager` `getTransactionManager()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateTransactionManagerLookup

    public HibernateTransactionManagerLookup(Settings settings,
                                             Properties properties)

Method Detail

### getTransactionManager

    public TransactionManager getTransactionManager()
                                             throws Exception

  Specified by:
    `getTransactionManager` in interface `org.infinispan.transaction.lookup.TransactionManagerLookup`
  Throws:
    `Exception`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.